diff options
author | cbdev <cb@cbcdn.com> | 2020-08-16 19:28:48 +0200 |
---|---|---|
committer | cbdev <cb@cbcdn.com> | 2020-08-16 19:28:48 +0200 |
commit | ca861ca42bdbf0e8cf14737e81cd70665c5b557d (patch) | |
tree | 2239aa87b8ccd2b26257f904592dd44b6f3c8ca2 | |
parent | 5bf8fcd4cd4e5ccabb46e830dffa19fd6f7a2f11 (diff) | |
download | midimonster-ca861ca42bdbf0e8cf14737e81cd70665c5b557d.tar.gz midimonster-ca861ca42bdbf0e8cf14737e81cd70665c5b557d.tar.bz2 midimonster-ca861ca42bdbf0e8cf14737e81cd70665c5b557d.zip |
Fix CI returns
-rwxr-xr-x | .ci.sh | 9 | ||||
-rw-r--r-- | backends/evdev.c | 1 |
2 files changed, 7 insertions, 3 deletions
@@ -78,13 +78,15 @@ elif [ "$TASK" = "sanitize" ]; then # Run sanitized compile ci_fold start "make_sanitize" if ! make sanitize; then - exit "$?" + printf "Failed to build\n" + exit 1 fi ci_fold end "make_sanitize" elif [ "$TASK" = "windows" ]; then ci_fold start "make_windows" if ! make windows; then - exit "$?" + printf "Failed to build\n" + exit 1 fi make -C backends lua.dll ci_fold end "make_windows" @@ -110,7 +112,8 @@ else # Otherwise compile as normal ci_fold start "make" if ! make full; then - exit "$?" + printf "Failed to build\n" + exit 1 fi ci_fold end "make" if [ "$(git describe)" == "$(git describe --abbrev=0)" ] || [ -n "$DEPLOY" ]; then diff --git a/backends/evdev.c b/backends/evdev.c index 8a14200..4c734f9 100644 --- a/backends/evdev.c +++ b/backends/evdev.c @@ -206,6 +206,7 @@ static int evdev_configure_instance(instance* inst, char* option, char* value) { else if(data->relative_axis[data->relative_axes].max == 0){ LOGPF("Relative axis configuration for %s.%s has invalid range", inst->name, option + 8); } + //this does not crash on single-integer `value`s because strtoll sets `next_token` to the terminator data->relative_axis[data->relative_axes].current = strtoul(next_token, NULL, 0); if(data->relative_axis[data->relative_axes].code < 0){ LOGPF("Failed to configure relative axis extents for %s.%s", inst->name, option + 8); |